%global dvisvgm_date 20250523

Name:           dvisvgm
Version:        3.5
Release:        1%{?dist}
Summary:        A fast DVI to SVG converter

Obsoletes:      texlive-dvisvgm     < 11:%{dvisvgm_date}-%{release}
Obsoletes:      texlive-dvisvgm-bin < 11:%{dvisvgm_date}-%{release}
Provides:       texlive-dvisvgm     = 11:%{dvisvgm_date}-%{release}
Provides:       texlive-dvisvgm-bin = 11:%{dvisvgm_date}-%{release}
Provides:       tex-dvisvgm         = 11:%{dvisvgm_date}-%{release}
Provides:       tex-dvisvgm-bin     = 11:%{dvisvgm_date}-%{release}

License:        GPLv3+
URL:            https://dvisvgm.de
Source0:        https://github.com/mgieseki/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  adobe-source-code-pro-fonts
BuildRequires:  adobe-source-sans-pro-fonts
BuildRequires:  adobe-source-serif-pro-fonts
BuildRequires:  asciidoc
BuildRequires:  dblatex
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  brotli-devel
BuildRequires:  freetype-devel 
BuildRequires:  ghostscript-devel 
BuildRequires:  libxslt
BuildRequires:  potrace-devel
BuildRequires:  texlive-euenc
BuildRequires:  texlive-lib-devel
BuildRequires:  texlive-underscore
BuildRequires:  texlive-xetex
BuildRequires:  ttfautohint-devel
BuildRequires:  woff2-devel
BuildRequires:  xmlto
BuildRequires:  xxhash-devel
BuildRequires:  zlib-devel 

Requires:       mupdf
Requires:       texlive-dvips


%description
dvisvgm is a command line utility that converts TeX DVI as well as EPS and
PDF files to the XML-based Scalable Vector Graphics (SVG) format. It provides
full font support including virtual fonts, font maps, and sub-fonts. If
necessary, dvisvgm vectorizes Metafontâ€™s bitmap output in order to always
create lossless scalable output. The embedded SVG fonts can optionally be
replaced with graphics paths so that applications that do not support SVG fonts
are enabled to render the graphics properly. Besides many other features,
dvisvgm also supports color, emTeX, tpic, papersize, PDF mapfile and PostScript
specials. 
More information can be found on the project website https://dvisvgm.de.

%prep
%setup -q
rm -f src/iapi.h src/ierrors.h

%build
%configure --disable-bundled-libs --with-ttfautohint
make %{?_smp_mflags}
make -C doc pdf

%install
%make_install

%files
%doc AUTHORS NEWS README doc/dvisvgm.pdf
%license COPYING
%{_bindir}/dvisvgm
%{_mandir}/man1/dvisvgm.1*

%changelog
* Fri May 23 2025 Martin Gieseking <martin.gieseking@uos.de> - 3.5-1
- Update to 3.5.

* Fri Mar 07 2025 Martin Gieseking <martin.gieseking@uos.de> - 3.4.4-1
- Update to 3.4.4.

* Sat Jan 04 2025 Martin Gieseking <martin.gieseking@uos.de> - 3.4.3-1
- Update to 3.4.3.

* Fri Nov 15 2024 Martin Gieseking <martin.gieseking@uos.de> - 3.4.2-1
- Update to 3.4.2.

* Mon Sep 16 2024 Martin Gieseking <martin.gieseking@uos.de> - 3.4.1-1
- Update to 3.4.1.

* Wed Jul 24 2024 Martin Gieseking <martin.gieseking@uos.de> - 3.4-1
- Update to 3.4.

* Thu Apr 11 2024 Martin Gieseking <martin.gieseking@uos.de> - 3.3-1
- Update to 3.3.

* Thu Mar 07 2024 Martin Gieseking <martin.gieseking@uos.de> - 3.2.2-1
- Update to 3.2.2.

* Thu Feb 29 2024 Martin Gieseking <martin.gieseking@uos.de> - 3.2.1-1
- Update to 3.2.1.

* Thu Jan 11 2024 Martin Gieseking <martin.gieseking@uos.de> - 3.2-1
- Update to 3.2.

* Thu Oct 12 2023 Martin Gieseking <martin.gieseking@uos.de> - 3.1.2-1
- Update to 3.1.2.

* Tue Sep 19 2023 Martin Gieseking <martin.gieseking@uos.de> - 3.1.1-1
- Update to 3.1.1.

* Thu Jul 06 2023 Martin Gieseking <martin.gieseking@uos.de> - 3.1-1
- Update to 3.1.

* Fri Mar 10 2023 Martin Gieseking <martin.gieseking@uos.de> - 3.0.4-1
- Update to 3.0.4.

* Wed Feb 22 2023 Martin Gieseking <martin.gieseking@uos.de> - 3.0.3-1
- Update to 3.0.3.

* Mon Jan 30 2023 Martin Gieseking <martin.gieseking@uos.de> - 3.0.2-1
- Update to 3.0.2.

* Wed Apr 20 2022 Martin Gieseking <martin.gieseking@uos.de> - 2.13.4-1
- Update to 2.13.4.

* Sun Feb 27 2022 Martin Gieseking <martin.gieseking@uos.de> - 2.13.3-1
- Update to 2.13.3.

* Wed Feb 23 2022 Martin Gieseking <martin.gieseking@uos.de> - 2.13.2-1
- Update to 2.13.2.

* Sun Jan 30 2022 Martin Gieseking <martin.gieseking@uos.de> - 2.13.1-2
- Removed Requires: texlive-updmap-map

* Wed Jan 26 2022 Martin Gieseking <martin.gieseking@uos.de> - 2.13.1-1
- Update to 2.13.1.

* Thu Jan 20 2022 Martin Gieseking <martin.gieseking@uos.de> - 2.13-1
- Update to 2.13.

* Fri Aug 27 2021 Martin Gieseking <martin.gieseking@uos.de> - 2.12-1
- Update to 2.12.

* Wed Feb 03 2021 Martin Gieseking <martin.gieseking@uos.de> - 2.11.1-1
- Update to 2.11.1

* Wed Aug 12 2020 Martin Gieseking <martin.gieseking@uos.de> - 2.10-2
- Added texlive-xetex required by DocBook pdf backend

* Wed Aug 12 2020 Martin Gieseking <martin.gieseking@uos.de> - 2.10-1
- Update to 2.10

* Sat Mar 21 2020 Martin Gieseking <martin.gieseking@uos.de> - 2.9.1-2
- Update to 2.9.1

* Fri Mar 13 2020 Martin Gieseking <martin.gieseking@uos.de> - 2.9-1
- Update to 2.9.

* Sat Dec 07 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.8.2-1
- Update to 2.8.2.

* Fri Nov 15 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.8.1-1
- Update to 2.8.1.

* Fri Oct 25 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.8-1
- Update to 2.8.

* Sun Jul 28 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.7.4-1
- Update to 2.7.4.

* Sat Jul 13 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.7.3-1
- Update to 2.7.3.

* Fri Jun 14 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.7.2-1
- Update to 2.7.2.

* Mon May 20 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.7.1-1
- Update to 2.7.1.

* Sat Apr 13 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.7-1
- Update to 2.7.

* Sun Mar 10 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.6.3-1
- Update to 2.6.3.

* Wed Jan 23 2019 Martin Gieseking <martin.gieseking@uos.de> - 2.6.2-1
- Update to 2.6.2.

* Thu Oct 11 2018 Martin Gieseking <martin.gieseking@uos.de> - 2.6.1-1
- Update to 2.6.1.

* Sun Sep 09 2018 Martin Gieseking <martin.gieseking@uos.de> - 2.6-3
- Obsolete texlive-dvisvgm et. al. instead of conflicting them.

* Sun Sep 09 2018 Martin Gieseking <martin.gieseking@uos.de> - 2.6-2
- Added missing BR necessary to build for f29.

* Sun Sep 09 2018 Martin Gieseking <martin.gieseking@uos.de> - 2.6-1
- Initial COPR package.
